#include <stdio.h>

void prince() {printf("PRINCE\n");}
void draw() {printf("DRAW\n");}
void dragon() {printf("DRAGON\n");}

long long gcd(long long a,long long b) {return (a==0)?b:gcd(b%a,a);}
#define swap(a,b) do{ a=a+b; b=a-b; a=a-b; }while(0)

long long egcd(long long a,long long b,long long *x,long long *y)
{
  long long g,yy;
  if(a==0) { *x=0; *y=1; return b; }
  g=egcd(b%a,a,y,&yy);
  *x=yy-(*y)*(b/a);
  return g;
}

long long sol(long long N,long long d1,long long d2,long long l)
{
  long long g,x,y,dx,dy;  /* ,m; */
  g=egcd(d1,d2,&x,&y);
  if(N%g!=0)return 0;
  x*=N/g;
  y*=N/g;
  /* m=d1/g*d2; */
  dx=d2/g;  /* dx=m/d1; */
  dy=d1/g;  /* dy=m/d2; */
  if(y<0)
  {
    long long k=(-y+dy-1)/dy;
    x-=k*dx;
    y+=k*dy;
  }
  if(y>0)
  {
    long long k=y/dy;
    x+=k*dx;
    y-=k*dy;
  }
  return (x>=0)&&(y>=0)&&((y==0)||(x*d1>=l));
}

long long canwin(long long n,long long c1, long long g1,long long c2,long long g2)
{
  if(n==0)return 1;
  if(n==c1)return 1;
  if(n==c2)return 1;
  if((n>0)&&(n<c1)&&(n<c2))return 0;

  if((g1>=c1)&&(g2>=c2))
  {
    if(c1>c2){swap(c1,c2); swap(g1,g2);}
    if(n>c2)return 0;
    if((n<c2)&&(n>c1)) return (g1>c1)&&((c2-n)%(g1-c1)==0);
    return 0;   /* should not happen */
  }

  if(g1>=c1){swap(c1,c2); swap(g1,g2);}

  if((g1<c1)&&(g2>=c2))
  {
    if(g2==c2)
    {
      if((n>=c1)&&((n-c1)%(c1-g1)==0))return 1;
      if((n>=c2)&&(g1<c2)&&((n-c2)%(c1-g1)==0))return 1;
      return 0;
    } /* else */
    if(n>c2)
    {
      long long g=gcd(c1-g1,g2-c2);
      if((n-c1)%g==0)return 1;
      if((c2-g1>0)&&((n-c2)%g==0))return 1;
      return 0;
    }
    if(n<c2)
    {
      return ((n>=c1)&&((n-c1)%(c1-g1)==0));
    }
  }

  if((g1<c1)&&(g2<c2))
  {
    if(c1>c2){ swap(c1,c2); swap(g1,g2); }
    long long d1=c1-g1, d2=c2-g2;

    if((n>=c1)&&sol(n-c1,d1,d2,g2-c1))return 1;
    if((n>=c2)&&sol(n-c2,d1,d2,g2-c2))return 1;

    return 0;
  }

  return 0;     /* should not happen */
}

void onecase()
{
  long long N,c1,g1,c2,g2;
  scanf("%lld %lld %lld %lld %lld",&N,&c1,&g1,&c2,&g2);

  if(canwin(N,  c1,g1,c2,g2))return prince();
  if(canwin(N+1,c1,g1,c2,g2))return draw();
  return dragon();
}

int main()
{
  long long T;
  scanf("%lld",&T);
  while(T--)onecase();
  return 0;
}
